Operations API
POST /services/operations/v1/admin/master-boards/create Auth

Create Master Board

Requires superadmin access.

Request Body Required

FieldTypeRequiredDescriptionExample
title string
max: 255
Yes Website Builder Operations
tool_key string
max: 100
Yes website_builder
description string|null No Default task board for the website builder tool
color string|null
max: 50
No #6366F1
icon string|null
max: 100
No template

Responses

500
201
422
400
401
403
429
Internal server error
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Resource created
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.board string
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Bad request
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/operations/v1/admin/master-boards/create" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Website Builder Operations",
    "tool_key": "website_builder",
    "description": "Default task board for the website builder tool",
    "color": "#6366F1",
    "icon": "template"
}'
fetch('https://api.wemasy.nl/api/services/operations/v1/admin/master-boards/create', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "title": "Website Builder Operations",
    "tool_key": "website_builder",
    "description": "Default task board for the website builder tool",
    "color": "#6366F1",
    "icon": "template"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/operations/v1/admin/master-boards/create', {
    "title": "Website Builder Operations",
    "tool_key": "website_builder",
    "description": "Default task board for the website builder tool",
    "color": "#6366F1",
    "icon": "template"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "title": "Website Builder Operations",
    "tool_key": "website_builder",
    "description": "Default task board for the website builder tool",
    "color": "#6366F1",
    "icon": "template"
}
r = requests.post("https://api.wemasy.nl/api/services/operations/v1/admin/master-boards/create", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "board": "string"
    }
}

Try It
Request Body Required

Export